Subject: [rtcweb] Protocol Action: 'WebRTC Security Architecture' to Proposed Standard (draft-ietf-rtcweb-security-arch-19.txt)

From: The IESG <[email-masked]>
Date: Mon, 22 Jul 2019 07:52:16 -0700

The IESG has approved the following document:
- 'WebRTC Security Architecture'
  (draft-ietf-rtcweb-security-arch-19.txt) as Proposed Standard

This document is the product of the Real-Time Communication in WEB-browsers
Working Group.

The IESG contact persons are Adam Roach, Alexey Melnikov and Barry Leiba.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-rtcweb-security-arch/

Technical Summary

This document defines the security architecture for WebRTC.  This draft is bound standards track because it includes protocol for web-based peer authentication.

Working Group Summary

This draft has been discussed on the mailing list and at numerous RTCweb f2f meetings.  It’s been amended numerous times based on WG feedback and it reflects the WG consensus.

Document Quality

WebRTC, including its underlying security and privacy model, has been implemented by all major web browsers.

Personnel

Sean Turner is the Shepherd.
Adam Roach is the responsible AD.

RFC Editor Note

Please adjust the reference in section 5.1 as follows:

OLD
   This section defines the SDP Offer/Answer [RFC6454] considerations
   for the SDP 'identity' attribute.

NEW
   This section defines the SDP Offer/Answer [RFC3264] considerations
   for the SDP 'identity' attribute.

Additionally, please add RFC 3264 to the list of normative references for this document.

Thanks!